#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long N,M,B=0,C=0;
    scanf("%lld  %lld",&N,&M);
    long long A[N],X[M],Y[M];
    long long i;
    for(i=0;i<N;i++){
        scanf("%lld",&A[i]);
    }
    for(i=0;i<M;i++){
        scanf("%lld    %lld",&X[i],&Y[i]);
    }
    if(A[N]>0){
    for(i=0;i<N;i++){
            for(i=0;i<M;i++){
                    B=A[i]*((Y[i]-X[i])-0);
            }
            C+=B;
    }
    printf("%lld",C);
    }
    else{
        for(i=0;i<N;i++){
            for(i=0;i<M;i++){
                B=A[i]*(0-(Y[i]-X[i]));
            }
            C+=B;
        }
        printf("%lld",C);
    }
    return 0;
}